# Uses of Interface
org.eclipse.emf.compare.ReferenceChange

Packages that use ReferenceChange
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.conflict
org.eclipse.emf.compare.equi
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.internal.conflict
org.eclipse.emf.compare.internal.postprocessor.factories
org.eclipse.emf.compare.internal.spec
org.eclipse.emf.compare.match
org.eclipse.emf.compare.merge
org.eclipse.emf.compare.provider.spec
org.eclipse.emf.compare.util
org.eclipse.emf.compare.utils

## Uses of ReferenceChange in org.eclipse.emf.compare

Methods in org.eclipse.emf.compare that return ReferenceChange
Modifier and Type
Method
Description
`ReferenceChange`
CompareFactory.`createReferenceChange()`
Returns a new object of class 'Reference Change'.

## Uses of ReferenceChange in org.eclipse.emf.compare.conflict

Methods in org.eclipse.emf.compare.conflict with parameters of type ReferenceChange
Modifier and Type
Method
Description
`protected void`
DefaultConflictDetector.`checkContainmentConflict(Comparison comparison, ReferenceChange diff, Iterable<ReferenceChange> candidates)`
This will be called once for each ReferenceChange on containment references in the comparison model.
`protected void`
DefaultConflictDetector.`checkContainmentConflict(Comparison comparison, ReferenceChange diff, ReferenceChange candidate)`
For each couple of diffs on the same value in which one is a containment reference change, we will call this in order to check for possible conflicts.
`protected void`
DefaultConflictDetector.`checkResourceAttachmentConflict(Comparison comparison, ResourceAttachmentChange diff, ReferenceChange candidate)`
This will be called from `DefaultConflictDetector.checkResourceAttachmentConflict(Comparison, ResourceAttachmentChange, Iterable)` for each ReferenceChange in the comparison model that is on the other side and that impacts the changed root.
Method parameters in org.eclipse.emf.compare.conflict with type arguments of type ReferenceChange
Modifier and Type
Method
Description
`protected void`
DefaultConflictDetector.`checkContainmentConflict(Comparison comparison, ReferenceChange diff, Iterable<ReferenceChange> candidates)`
This will be called once for each ReferenceChange on containment references in the comparison model.

## Uses of ReferenceChange in org.eclipse.emf.compare.equi

Methods in org.eclipse.emf.compare.equi with parameters of type ReferenceChange
Modifier and Type
Method
Description
`protected void`
DefaultEquiEngine.`checkForEquivalences(Comparison comparison, ReferenceChange referenceChange)`
Checks the potential equivalence from the given `difference`.

## Uses of ReferenceChange in org.eclipse.emf.compare.impl

Classes in org.eclipse.emf.compare.impl that implement ReferenceChange
Modifier and Type
Class
Description
`class`
`ReferenceChangeImpl`
An implementation of the model object 'Reference Change'.
Methods in org.eclipse.emf.compare.impl that return ReferenceChange
Modifier and Type
Method
Description
`ReferenceChange`
CompareFactoryImpl.`createReferenceChange()`

## Uses of ReferenceChange in org.eclipse.emf.compare.internal.conflict

Methods in org.eclipse.emf.compare.internal.conflict that return types with arguments of type ReferenceChange
Modifier and Type
Method
Description
`Collection<ReferenceChange>`
ComparisonIndex.`getReferenceChangesByValue(EObject value)`
The indexed `ReferenceChange`s whose value is in the given Match.
`Collection<ReferenceChange>`
ComparisonIndex.`getReferenceChangesByValueMatch(Match valueMatch)`
The indexed `ReferenceChange`s whose value is in the given Match.
`Collection<ReferenceChange>`
ComparisonIndex.`getReferenceChangesByValueURI(URI valueURI)`
The indexed `ReferenceChange`s whose value has the given URI (only unresolved proxies are indexed that way).
Methods in org.eclipse.emf.compare.internal.conflict with parameters of type ReferenceChange
Modifier and Type
Method
Description
`AbstractConflictSearch<? extends Diff>`
ConflictSearchFactory.`caseReferenceChange(ReferenceChange diff)`
Constructors in org.eclipse.emf.compare.internal.conflict with parameters of type ReferenceChange
Modifier
Constructor
Description
``
`Add(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Add(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Change(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Change(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Delete(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Delete(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Move(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Move(ReferenceChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.

## Uses of ReferenceChange in org.eclipse.emf.compare.internal.postprocessor.factories

Methods in org.eclipse.emf.compare.internal.postprocessor.factories with parameters of type ReferenceChange
Modifier and Type
Method
Description
`protected boolean`
AbstractChangeFactory.`isRelatedToAnExtensionAdd(ReferenceChange input)`
Check if the given reference change is related to a graphical add.
`protected boolean`
AbstractChangeFactory.`isRelatedToAnExtensionChange(ReferenceChange input)`
Check if the given reference change is related to a graphical change.
`protected boolean`
AbstractChangeFactory.`isRelatedToAnExtensionDelete(ReferenceChange input)`
Check if the given reference change is related to a graphical delete.
`protected boolean`
AbstractChangeFactory.`isRelatedToAnExtensionMove(ReferenceChange input)`
Check if the given reference change is related to a graphical move.

## Uses of ReferenceChange in org.eclipse.emf.compare.internal.spec

Classes in org.eclipse.emf.compare.internal.spec that implement ReferenceChange
Modifier and Type
Class
Description
`class`
`ReferenceChangeSpec`
This specialization of the `ReferenceChangeImpl` class allows us to define the derived features and operations implementations.

## Uses of ReferenceChange in org.eclipse.emf.compare.match

Methods in org.eclipse.emf.compare.match that return ReferenceChange
Modifier and Type
Method
Description
`ReferenceChange`
MatchOfContainmentReferenceChangeAdapter.`getReferenceChange()`
Get the `ReferenceChange` to associate with the adapted `Match`.
Constructors in org.eclipse.emf.compare.match with parameters of type ReferenceChange
Modifier
Constructor
Description
``
`MatchOfContainmentReferenceChangeAdapter(ReferenceChange referenceChange)`
Constructor.

## Uses of ReferenceChange in org.eclipse.emf.compare.merge

Methods in org.eclipse.emf.compare.merge with parameters of type ReferenceChange
Modifier and Type
Method
Description
`protected void`
ReferenceChangeMerger.`addInTarget(ReferenceChange diff, boolean rightToLeft)`
This will be called when we need to create an element in the target side.
`protected void`
ReferenceChangeMerger.`checkImpliedDiffsOrdering(ReferenceChange diff, boolean rightToLeft)`
In the case of many-to-many eOpposite references, EMF will simply report the difference made on one side of the equivalence to the other, without considering ordering in any way.
`protected void`
ReferenceChangeMerger.`doMove(ReferenceChange diff, Comparison comparison, EObject expectedContainer, EObject expectedValue, boolean rightToLeft)`
This will do the actual work of moving the element into its reference.
`protected boolean`
AbstractMerger.`isAdd(ReferenceChange diff, boolean rightToLeft)`
Specifies whether the given `diff` will add a value in the target model for the current merging.
`protected boolean`
AbstractMerger.`isSet(ReferenceChange diff, boolean mergeRightToLeft)`
Checks whether the given diff will result in the setting of a reference in the given merge direction.
`protected boolean`
AbstractMerger.`isUnset(ReferenceChange diff, boolean mergeRightToLeft)`
Checks whether the given diff will result in the unsetting of a reference in the given merge direction.
`protected void`
ReferenceChangeMerger.`moveElement(ReferenceChange diff, boolean rightToLeft)`
This will be called when trying to copy a "MOVE" diff.
`protected void`
ReferenceChangeMerger.`removeFromTarget(ReferenceChange diff, boolean rightToLeft)`
This will be called when we need to remove an element from the target side.
`protected void`
ReferenceChangeMerger.`resetInTarget(ReferenceChange diff, boolean rightToLeft)`
This will be called by the merge operations in order to reset a reference to its original value, be that the left or right side.

## Uses of ReferenceChange in org.eclipse.emf.compare.provider.spec

Methods in org.eclipse.emf.compare.provider.spec with parameters of type ReferenceChange
Modifier and Type
Method
Description
`protected String`
ReferenceChangeItemProviderSpec.`getReferenceText(ReferenceChange refChange)`
Returns the name of the reference linked to the given `ReferenceChange`.
`protected String`
ReferenceChangeItemProviderSpec.`getValueText(ReferenceChange refChange)`
Converts to text the given `ReferenceChange`.

## Uses of ReferenceChange in org.eclipse.emf.compare.util

Methods in org.eclipse.emf.compare.util with parameters of type ReferenceChange
Modifier and Type
Method
Description
`T`
CompareSwitch.`caseReferenceChange(ReferenceChange object)`
Returns the result of interpreting the object as an instance of 'Reference Change'.

## Uses of ReferenceChange in org.eclipse.emf.compare.utils

Methods in org.eclipse.emf.compare.utils with parameters of type ReferenceChange
Modifier and Type
Method
Description
`static EObject`
MatchUtil.`getOriginValue(Comparison comparison, ReferenceChange difference)`
From a given mono-valued reference change, get the origin value.
`static com.google.common.base.Predicate<Diff>`
EMFComparePredicates.`hasSameReferenceAs(ReferenceChange diff)`
Deprecated.
This predicate can be used to check whether a given Diff is a `ReferenceChange` with the same reference as the `diff` argument.
`static com.google.common.base.Predicate<Diff>`
EMFComparePredicates.`isDiffOnEOppositeOf(ReferenceChange diff)`
Deprecated.
This predicate can be used to check whether a given Diff is a `ReferenceChange` representing the eOpposite of the `diff` argument.